# Class NextProtDb

java.lang.Object
org.snpeff.nextProt.NextProtDb

public class NextProtDb extends Object
Parse NetxProt XML file and build a database

http://www.nextprot.org/

How this works: - NextProtDb Main class to parse a directory with NextPort XML files. Each XML file is quite large (several GB compressed) so it cannot be fully loaded and parse in memory on a "standard laptop" Once all markers are created (by the marker factory) the database is serialized to a file

- NextProtMarkerFactory Factory that creates all NextProt Markers. This object is shared across all XML handlers

- NextProtHandler This is a handler used to extract the relevant data from an XML file. One handler is created for each XML file, all handlers share the NextProtMarkerFactory

- NextProtSequenceConservation The markers are analyzed for sequence conservation patterns. If the marker type has high conservation, this is set in the NextProtMarker to keep in mind when predicting effects. For instance, a marker that has 100% conservation would be highly affected by a non-synonymous variant.

- NextProtXmlNode This is the basic "XML" node for the information we need to extract to create the Markers

- NextProtXmlIsoform: Specified an isoform protein / transcript

- NextProtXmlAnnotation: An annotation is a controlled vocabulary term (CvTerm) associated with one or more Locations in an Isoform. Example: "For transcript TR_1234, amino acid 25 is a phosphorylation site" In this case we have: "TR_1234": The Isoform "amino acid 25": The Location in the Isoform "phosphorylation site": The controlled vocabulary term

- NextProtXmlEntry: A set of annotations

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`NextProtDb(String xmlDirName, Config config)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`parse()`
Parse all XML files in a directory
`void`
`saveDatabase()`
`void`
`setDebug(boolean debug)`
`void`
`setVerbose(boolean verbose)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NextProtDb

public NextProtDb(String xmlDirName, Config config)

## Method Details

### parse

public boolean parse()
Parse all XML files in a directory

### saveDatabase

public void saveDatabase()

### setDebug

public void setDebug(boolean debug)

### setVerbose

public void setVerbose(boolean verbose)